# 80. Interogare: Obține datele originale

Interogare pentru a obține copia datelor originale încărcate ale "SoilDataset", "YieldDataset", "AsAppliedDataset".

{% hint style="danger" %}
Recomandat să se recupereze doar un singur set de date  `originDataUrl` pe solicitare.&#x20;
{% endhint %}

`GEOTIFF` și `GEOJSON` sunt disponibile ca `formate`. Dar **doar** `GEOJSON` este acum acceptat.

{% hint style="danger" %}
`originDataUrl` linkul este accesibil doar pentru **60 sec.**
{% endhint %}

### 1. Exemplu pentru SoilDataset

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetOriginalDataOfSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 2. Exemplu pentru YieldDataset

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetOriginalDataOfYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 3. Exemplu pentru AsAppliedDataset

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetOriginalDataOfAsAppliedDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 4. Descărcați fișierul generat

După pregătirea cu succes a fișierului, este posibil să îl descărcați folosind `curl` sau o abordare similară.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<originDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/80.-interogare-obtine-datele-originale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
